Subject: draft-ietf-dnsext-rfc2672bis-dname issues status (resolved issues)

From: "Scott Rose" <[email-masked]>
Date: Tue, 6 Feb 2007 20:14:43 -0500

Resolved Issues in draft-ietf-dnsext-rfc2672bis-dname

The following issues were brought up in the previous version of DNAME 
clarification draft, and have been resolved and this has been
reflected in the latest version of the draft (currently -01)

The issues are numbered according to their previous numbering in 
namedropper threads.  If there are any further comments or 
one of these issues should be re-opened, please provide reasoning
and any text.

Issue 4.1  DNAME as delegation tool
	Text added to clarify that DNAME is not a tool to
	make delegations.  Please read and check.  If it 
	needs further clarification, please provide additional
	text.

Issue 4.2  DNAME does not re-direct name itself
	Text added to clarify that X DNAME Y does not 
	re-direct queries for QNAME X itself.

Issue 4.4 and 4.13  Target name in DNAME RDATA should be canonical?
	Added to -01 draft, the target name must be canonical,
	brining it in line with NS and MX RDATA target names.

Issue 4.5 DNSSEC and NSEC/NSEC3 bitmap
	Added text for validator behavior when checking responses
	with NSEC/NSEC3.  Validator should check RRType bitmap
	for presence of DNAME RR at ownername that may 
	indicate an incorrect response.
	*NOTE there are other DNSSEC related issues, each
	are handled separately

Issue 4.6 Signal for DNAME understanding
	RFC 2672 said EDNS v1 was the signal, which is 
	undefined.  Changed to DNSSEC OK bit as
	signal that host understands DNAME RR

Issue 4.8 DNAME and CIDR blocks in in-addr.apra
	waiting for text, but resolution suggested

Issue 4.9 Name Compression in RDATA
	resolved as "MUST NOT compress target name in RDATA" 
	with a reference to RFC3597

Issue 4.11  Wildcards and DNAME
	Text added to bring DNAME in line with RFC4592 discouraging
	use of DNAME at wildcard names since it can lead to 
	inconsistent views of the name space

These issues are considered resolved unless there is a compelling
need to re-examine the resolved solution.  If there is, please
state on the list and provide text if possible.

Still open issues (and new issues) will follow in their own threads.

Thanks
Scott & Wouter
DNAME clarification draft editors

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>